Skip to main content
`Ctrl`+`K`

# KSPCheckDot

Checks if the result of a dot product used by the corresponding `KSP` contains infinity or NaN. These indicate that the previous application of the preconditioner generated an error. Sets a `KSPConvergedReason` and returns if the `PC` set a `PCFailedReason`. Collective

## Input Parameter

- ksp - the linear solver `KSP` context.

## Output Parameter

- beta - the result of the inner product

## Developer Notes

Used to manage returning from `KSP` solvers collectively whose preconditioners have failed, possibly only a subset of MPI processes, in some way

It uses the fact that `KSP` piggy-backs the collectivity of certain error conditions on the results of norms and inner products.

## See Also

`PCFailedReason`, `KSPConvergedReason`, `KSP`, `KSPCreate()`, `KSPSetType()`, `KSP`, `KSPCheckNorm()`, `KSPCheckSolve()`, `KSPSetErrorIfNotConverged()`

## Level

developer

## Location

include/petsc/private/kspimpl.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages